Retrieve a Share Token
GET
https://api.withpersona.com/api/v1/connect/share-tokens/:share-token-id
Retrieve the information for an existing Share Token.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
share-token-idstringRequired
The ID of the Share Token
Headers
Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
Query parameters
includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
peek-source-databooleanOptionalDefaults to
falseWhen true, the caller is the destination organization, and the destination organization
has access to the source data peek capability, the response’s
data.attributes.source-data carries a PII-filtered source-data envelope. Defaults to
false; omitted from list responses regardless.
Response headers
RateLimit-Limitinteger
The maximum number of requests permitted in the current rate limit window for the API key used to authenticate the request. Returned on every authenticated response.
RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window for the API key used to authenticate the request. Returned on every authenticated response.
RateLimit-Resetinteger
The number of seconds until the current rate limit window resets. Returned on every authenticated response.
Request-Idstring
The unique identifier of the API log entry that recorded this request. Starts with req_. Include this value when reaching out to Persona support. Present on every authenticated response, including error responses.
Persona-Environment-Idstring
The token of the Persona environment that handled the request. Returned on every authenticated response, including most error responses.
Persona-Organization-Idstring
The token of the Persona organization that handled the request. Returned on every authenticated response, including most error responses.
Response
This endpoint returns a Share Token resource.
dataobject
A Share Token resource. The specific attributes and relationships included may vary based on the requesting organization's context.
includedlist of any
Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error

